<!-- Replace ::text:: with your code -->
<h2>Create / Edit Course</h2>
<form>
  <div class="app-plate">
    <div class="course">
      <h3>Main Info</h3>
      <div class="form__control">
        <label for="title">Title</label>
        <input
          type="text"
          id="title"
          placeholder="Input text"
        />
      </div>
      <div class="form__control">
        <label for="description">Description</label>
        <textarea
          id="description"
          name="description"
          placeholder="Input text"
          rows="4"
          cols="5"
        ></textarea>
      </div>
      <div class="separator"></div>
      <h3>Authors</h3>
      <div class="form__control">
        <div class="course__flex">
          <input
            type="text"
            id="author"
            placeholder="Input Author Name"
          />
          <app-button></app-button>
        </div>
        <div class="course__authors">
          ::Authors::
        </div>
      </div>
      <div class="separator"></div>
      <h3>Duration</h3>
      <div class="form__control">
        <div class="course__flex">
          <input
            type="number"
            id="duration"
            placeholder="Input duration"
          />
          <div class="course__duration">
            ::Duration::
          </div>
        </div>
      </div>
      <div class="form__action">
        <app-button></app-button>
      </div>
    </div>
  </div>
</form>
